
Ryzom - Bug # 1113

Status: Rejected Priority: Normal
Author: molator Category: Build
Created: 10/01/2010 Assignee:
Updated: 10/04/2010 Due date:
Subject: entities_game_service/stdpch.h included more than once
Description

I got an issue building egs on ubuntu 8.04 LTS x86_64.

entities_game_service/stdpch.h is included more than once but there's no protecting #ifndef inside.
Adding it solved my issue.

History
#1 - 10/01/2010 10:51 am - molator

Looks like it's not the source of the problem.

#2 - 10/01/2010 10:56 am - molator

In file included from /home/ryzom/code/ryzom/server/src/entities_game_service/entities_game_service.cpp:127:0:
/home/ryzom/code/ryzom/server/src/server_share/stl_allocator_checker.h: At global scope:
/home/ryzom/code/ryzom/server/src/server_share/stl_allocator_checker.h:35:7: error: redefinition of 'class CStlAllocatorChecker'
/home/ryzom/code/ryzom/server/src/server_share/stl_allocator_checker.h:36:1: error: previous definition of 'class CStlAllocatorChecker'
/home/ryzom/code/ryzom/server/src/server_share/stl_allocator_checker.h:45:8: error: redefinition of
'CStlAllocatorChecker::CStlAllocatorChecker(const char*, const char*)'
/home/ryzom/code/ryzom/server/src/server_share/stl_allocator_checker.h:45:8: error: 'CStlAllocatorChecker::CStlAllocatorChecker(const char*, const
char*)' previously defined here
/home/ryzom/code/ryzom/server/src/server_share/stl_allocator_checker.h:51:8: error: redefinition of 'CStlAllocatorChecker::~CStlAllocatorChecker()'
/home/ryzom/code/ryzom/server/src/server_share/stl_allocator_checker.h:51:8: error: 'CStlAllocatorChecker::~CStlAllocatorChecker()' previously
defined here

#3 - 10/01/2010 11:03 am - molator

A bunch of protecting #ifndef are missing, i will prepare a patch as soon as possible.

#4 - 10/01/2010 11:10 am - molator

Some are already in the repository.
My HG didn't update some files :(.

#5 - 10/04/2010 06:09 pm - kervala
- Status changed from New to Rejected

Files
stdpch_h.diff 650 Bytes 10/01/2010 molator
